/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ApplicationClient.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.client.xml;

import java.util.ArrayList;
import java.util.List;

import org.ow2.easybeans.deployment.xml.struct.common.EJBRef;

/**
 * Class representing application-client.xml file.
 * TODO: update to use all elements.
 * @author Florent Benoit
 */
public class ApplicationClient {

    /**
     * List of ejb-ref elements.
     */
    private List<EJBRef> ejbRefs = new ArrayList<EJBRef>();

    /**
     * Add an ejb reference to this element.
     * @param ejbRef element to add.
     */
    public void addEJBRef(final EJBRef ejbRef) {
        this.ejbRefs.add(ejbRef);
    }

    /**
     * @return list of ejb-ref elements
     */
    public List<EJBRef> getEJBRefs() {
        return ejbRefs;
    }
}
