package org.ow2.easybeans.deployment.annotations.analyzer.configurator.metadata.war;

import org.ow2.easybeans.deployment.metadata.war.WarArchiveMetadata;
import org.ow2.util.scan.api.configurator.IArchiveConfigurator;
import org.ow2.util.scan.api.configurator.IClassConfigurator;
import org.ow2.util.scan.api.metadata.structures.JClass;

/**
 * EjbJarArchiveMetadataConfigurator.
 * @author Gael Lalire
 */
public class WarArchiveMetadataConfigurator implements IArchiveConfigurator {

    /**
     * archive metadata.
     */
    private WarArchiveMetadata warArchiveMetadata;

    /**
     * Constructor.
     */
    public WarArchiveMetadataConfigurator() {
        this.warArchiveMetadata = new WarArchiveMetadata();
    }

    /**
     * @param jClass signature
     * @return class configurator
     */
    public IClassConfigurator createClassConfigurator(final JClass jClass) {
        return new WarClassMetadataConfigurator(jClass, this.warArchiveMetadata);
    }

    /**
     * @return the archive metadata
     */
    public WarArchiveMetadata getWarArchiveMetadata() {
        return this.warArchiveMetadata;
    }

}
