/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Servlet.java 2059 2007-11-22 17:22:33Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct;

/**
 * Definition of a Servlet.
 * @author Florent BENOIT
 */
public class Servlet {

    /**
     * Name of this element.
     */
    public static final String NAME = "servlet";

    /**
     * Name of the servlet.
     */
    private String name = null;

    /**
     * Name of the class of the servlet.
     */
    private String className = null;

    /**
     * @return the name of the servlet.
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the servlet.
     * @param name the given name.
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return the name of the class.
     */
    public String getClassName() {
        return className;
    }

    /**
     * Sets the name of the class.
     * @param className the name of the class.
     */
    public void setClassName(final String className) {
        this.className = className;
    }

}
