/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EJBRef.java 2054 2007-11-20 14:43:55Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct.common;

/**
 * Class representing ejb-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class EJBRef extends AbsEJBRef {

    /**
     * Name of this element.
     */
    public static final String NAME = "ejb-ref";

    /**
     * Remote class (interface).
     */
    private String remote = null;

    /**
     * Home (interface).
     */
    private String home = null;

    /**
     * @return the remote element
     */
    public String getRemote() {
        return remote;
    }

    /**
     * Sets the value of remote element.
     * @param remote value of remote element
     */
    public void setRemote(final String remote) {
        this.remote = remote;
    }

    /**
     * @return the home element
     */
    public String getHome() {
        return home;
    }

    /**
     * Sets the value of home element.
     * @param home value of home element
     */
    public void setHome(final String home) {
        this.home = home;
    }

}
