/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MessageDestinationRef.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct.common;

/**
 * Class representing message-destination-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class MessageDestinationRef extends AbsResourceGroup {

    /**
     * Name of this element.
     */
    public static final String NAME = "message-destination-ref";

    /**
     * Name of this message-destination-ref.
     */
    private String name = null;

    /**
     * Type of this message-destination-ref.
     */
    private String type = null;

    /**
     * Usage of this message-destination-ref.
     */
    private String usage = null;

    /**
     * Link of this message-destination-ref.
     */
    private String link = null;

    /**
     * Default constructor.
     */
    public MessageDestinationRef() {
        super();
    }

    /**
     * @return name of this message-destination-ref.
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of message-destination-ref.
     * @param name the name of this reference
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return type of this message-destination-ref.
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the type of message-destination-ref.
     * @param type the type of this reference
     */
    public void setType(final String type) {
        this.type = type;
    }

    /**
     * @return usage of this message-destination-ref.
     */
    public String getUsage() {
        return usage;
    }

    /**
     * Sets the usage of message-destination-ref.
     * @param usage the usage of this reference
     */
    public void setUsage(final String usage) {
        this.usage = usage;
    }

    /**
     * @return link of this message-destination-ref.
     */
    public String getLink() {
        return link;
    }

    /**
     * Sets the link of message-destination-ref.
     * @param link the link of this reference
     */
    public void setLink(final String link) {
        // TODO: add support
        if (link != null) {
            throw new UnsupportedOperationException("The message-destination-link element is not supported by EasyBeans");
        }
        this.link = link;
    }

}
